summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorTimo <timotejs@gmail.com>2019-09-25 11:58:52 +0200
committerChris Akritidis <43294513+cakrit@users.noreply.github.com>2019-09-25 11:58:51 +0200
commitfbbb85332de7e9c93e68d6409d386982e0c76688 (patch)
treef47a2b4088c6b0070beb33e5d6664034a786b8a5 /tests
parent0aae17767ff03da1d89767420b40501c7ced1b01 (diff)
check for curl to not get wrong error message (#6931)
Diffstat (limited to 'tests')
-rwxr-xr-xtests/stress.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/stress.sh b/tests/stress.sh
index 9c9393d3b7..cef5327776 100755
--- a/tests/stress.sh
+++ b/tests/stress.sh
@@ -1,6 +1,12 @@
#!/bin/bash
# SPDX-License-Identifier: GPL-3.0-or-later
+if ! hash curl 2>/dev/null
+then
+ 1>&2 echo "'curl' not found on system. Please install 'curl'."
+ exit 1
+fi
+
# set the host to connect to
if [ ! -z "$1" ]
then